summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-system/load-modules-mythvantage.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-04-21 20:04:56 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-04-21 20:04:56 (GMT)
commit97d9421d3499ab7b9fcc8459cc8d5cfb92dc60a5 (patch)
tree7b879c5a60bbf1e8c1a43daaeb5c16e425d77282 /abs/core-testing/LinHES-system/load-modules-mythvantage.sh
parente98bca336dab3ae48854c5d3e4370ed979b7322e (diff)
downloadlinhes_pkgbuild-97d9421d3499ab7b9fcc8459cc8d5cfb92dc60a5.zip
linhes_pkgbuild-97d9421d3499ab7b9fcc8459cc8d5cfb92dc60a5.tar.gz
linhes_pkgbuild-97d9421d3499ab7b9fcc8459cc8d5cfb92dc60a5.tar.bz2
runit-scripts: add igdaemon and tatir.
Diffstat (limited to 'abs/core-testing/LinHES-system/load-modules-mythvantage.sh')
-rwxr-xr-xabs/core-testing/LinHES-system/load-modules-mythvantage.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/abs/core-testing/LinHES-system/load-modules-mythvantage.sh b/abs/core-testing/LinHES-system/load-modules-mythvantage.sh
index 4f5ea91..06c8a96 100755
--- a/abs/core-testing/LinHES-system/load-modules-mythvantage.sh
+++ b/abs/core-testing/LinHES-system/load-modules-mythvantage.sh
@@ -38,7 +38,23 @@ UNLOAD|unload )
ttyS3) FLAGS="io=0x2f8 irq=3" ;;
esac
/usr/bin/setserial /dev/$ReceiverSerialport uart none 2>/dev/null
- /sbin/modprobe lirc_serial $FLAGS 2>/dev/null
+ if [ $? = 0 ]
+ then
+ /sbin/modprobe lirc_serial $FLAGS 2>/dev/nulla
+ fi
+ elif [ x$HostBlasterType = xSerial ]
+ then
+ case $HostSerialPort_blasterlirc in
+ ttyS0) FLAGS="io=0x3f8 irq=4";;
+ ttyS1) FLAGS="io=0x2f8 irq=3" ;;
+ ttyS2) FLAGS="io=0x3e8 irq=4" ;;
+ ttyS3) FLAGS="io=0x2f8 irq=3" ;;
+ esac
+ /usr/bin/setserial /dev/$HostSerialPort_blasterlirc uart none 2>/dev/null
+ if [ $? = 0 ]
+ then
+ /sbin/modprobe lirc_serial $FLAGS 2>/dev/nulla
+ fi
fi
fi
/sbin/modprobe $module 2> /dev/null